Wallet Infrastructure
Wallet Infrastructure
Transactions

Get userOp status

GET
/v1/userops/{hash}

Requires scope transactions:read.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Response Body

200application/json

Quorum status

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X GET 'https://api.pilot.shiga.io/v1/userops/{hash}' \  -H 'Authorization: Bearer sk_test_...'
Example Response
{  "data": {    "userOpHash": "string",    "threshold": 0,    "collected": 0,    "status": "pending",    "transactionHash": "string"  },  "status": 200,  "success": true}